Skip to main content
GET
/
api
/
v1
/
network
/
fees
Get the network fees
curl --request GET \
  --url https://api.example.com/api/v1/network/fees
import requests

url = "https://api.example.com/api/v1/network/fees"

response = requests.get(url)

print(response.text)
const options = {method: 'GET'};

fetch('https://api.example.com/api/v1/network/fees', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));


{
  "fees": [
    {
      "gas": 123,
      "transaction_type": "<string>"
    }
  ],
  "timestamp": "1586567700.453054000"
}
{
"_status": {
"messages": [
{
"message": "Invalid parameter: account.id"
},
{
"message": "Invalid Transaction id. Please use \\shard.realm.num-sss-nnn\\ format where sss are seconds and nnn are nanoseconds"
}
]
}
}
{
"_status": {
"messages": [
{
"message": "Not found"
}
]
}
}
{
"_status": {
"messages": [
{
"message": "Require at least 1/3 signature files to prove consensus, got 1 out of 4 for file 2019-10-11T13_33_25.526889Z.rcd_sig"
}
]
}
}

Query Parameters

order
enum<string>
default:asc

The order in which items are listed

Available options:
asc,
desc
timestamp
string[]

The consensus timestamp as a Unix timestamp in seconds.nanoseconds format with an optional comparison operator. See unixtimestamp.com for a simple way to convert a date to the 'seconds' part of the Unix time.

Pattern: ^((eq|gt|gte|lt|lte|ne):)?\d{1,10}(\.\d{1,9})?$

Response

OK

fees
object[]
timestamp
string

A Unix timestamp in seconds.nanoseconds format

Pattern: ^\d{1,10}(\.\d{1,9})?$
Example:

"1586567700.453054000"